EventBuffer::__construct
EventBuffer::drain
EventBuffer
PHP Manual

# EventBuffer::copyout

(PECL event >= 1.2.6-beta)

EventBuffer::copyout — Copies out specified number of bytes from the front of the buffer

### Description

public int EventBuffer::copyout ( string `&$data` , int `$max_bytes` )

Behaves just like EventBuffer::read() , but does not drain any data from the buffer. I.e. it copies the first `max_bytes` bytes from the front of the buffer into `data` . If there are fewer than `max_bytes` bytes available, the function copies all the bytes there are.

### Parameters

`data`

  Output string.

`max_bytes`

  The number of bytes to copy.

### Return Values

Returns the number of bytes copied, or `-1` on failure.

### See Also

- EventBuffer::read() - Read data from an evbuffer and drain the bytes read
- EventBuffer::appendFrom() - Moves the specified number of bytes from a source buffer to the end of the current buffer

EventBuffer::__construct
EventBuffer::drain
EventBuffer
PHP Manual